Name:           xfce4-settings
Version:        4.6.1
Release:        1%{?dist}
Summary:        Settings Manager for Xfce

Group:          User Interface/Desktops
# xfce4-settings-helper is GPLv2 only. 
License:        GPLv2+ and GPLv2
URL:            http://www.xfce.org/
Source0:        http://www.xfce.org/archive/xfce-%{version}/src/xfce4-settings-%{version}.tar.bz2
# use vendor's artwork
Patch10:        xfce4-settings-4.6.0-fedora.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: exo-devel >= 0.3.93
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: xfconf-devel >= %{version}
BuildRequires: libglade2-devel
BuildRequires: libwnck-devel
BuildRequires: desktop-file-utils >= 0.7
BuildRequires: libnotify-devel
BuildRequires: libcanberra-devel
BuildRequires: libxklavier-devel
Requires: xfconf

Obsoletes: xfce-mcs-manager < 4.4.3-2
Obsoletes: xfce-mcs-plugins < 4.4.3-2
Obsoletes: xfce-mcs-plugin-gsynaptics < 2.0-5
Obsoletes: xfce-mcs-plugins-extra < 2.0-3
Obsoletes: xfce4-gsynaptics-mcs-plugin < 1.0.0-3

%description
This package includes the settings manager applications for the Xfce desktop. 

%prep
%setup -q
%patch10 -p1 -b .vendor

%build
%configure --enable-sound-settings
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce-display-settings.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce-keyboard-settings.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce-mouse-settings.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce-settings-manager.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce-ui-settings.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-accessibility-settings.desktop

desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-settings-editor.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS TODO COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-settings-helper-autostart.desktop
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_bindir}/xfce4-accessibility-settings
%{_bindir}/xfce4-appearance-settings
%{_bindir}/xfce4-display-settings
%{_bindir}/xfce4-keyboard-settings
%{_bindir}/xfce4-mouse-settings
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-helper
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_datadir}/applications/xfce*.desktop

%changelog
* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Thu Apr 16 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-6
- Have to add Antialias type to really enable by default. 

* Wed Apr 15 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-5
- Bump to fix tagging mistake. 

* Wed Apr 15 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-4
- Make Antialias default (bug #495700)

* Thu Mar 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-3
- display settings fixes from upstream svn. 

* Fri Feb 27 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-2
- Rebase patch for artwork

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-2
- Add patch to fix imsettings (bug #478669)

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Thu Jan 22 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.5.93-2
- Add Obsoletes for mcs packages to make sure xfce4-settings gets installed
- Don't package desktop files twice
- Require xfconf
- Use Nodoka theme and Fedora icons
- Add docs

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Sat Dec 27 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-2
- Cleaned up desktop-file-install
- Added some BuildRequires. 

* Fri Dec 26 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Initial version for Fedora. 

